Get a webhook
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.cula.earth/tracking/v1/webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.cula.earth/tracking/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.cula.earth/tracking/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.cula.earth/tracking/v1/webhooks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.cula.earth/tracking/v1/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.cula.earth/tracking/v1/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "wbh_01ktgcztz8cz5evcmgah1d1qcb",
"url": "https://hooks.example.com/events/",
"events": [
"sink.verified"
],
"description": null,
"status": "enabled",
"created_at": "2025-10-10T21:03:58Z",
"updated_at": "2025-10-10T21:03:58Z",
"secret": "whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
}{
"code": "bad_request",
"message": "The field limit must not be greater than 50."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "not_found",
"message": "Object with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be found."
}{
"code": "too_many_requests",
"message": "Too many requests. Try again after the time given in the Retry-After header."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Webhooks
Get a webhook
GET
/
webhooks
/
{id}
Get a webhook
curl --request GET \
--url https://api.demo.cula.earth/tracking/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.cula.earth/tracking/v1/webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.cula.earth/tracking/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.cula.earth/tracking/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.cula.earth/tracking/v1/webhooks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.cula.earth/tracking/v1/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.cula.earth/tracking/v1/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "wbh_01ktgcztz8cz5evcmgah1d1qcb",
"url": "https://hooks.example.com/events/",
"events": [
"sink.verified"
],
"description": null,
"status": "enabled",
"created_at": "2025-10-10T21:03:58Z",
"updated_at": "2025-10-10T21:03:58Z",
"secret": "whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
}{
"code": "bad_request",
"message": "The field limit must not be greater than 50."
}{
"code": "unauthorized",
"message": "Invalid or expired token"
}{
"code": "not_found",
"message": "Object with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be found."
}{
"code": "too_many_requests",
"message": "Too many requests. Try again after the time given in the Retry-After header."
}{
"code": "internal_server_error",
"message": "Internal server error."
}Authorizations
OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.
Path Parameters
Example:
"wbh_01ktgcztz8cz5evcmgah1d1qcb"
Response
Webhook
Example:
"wbh_01ktgcztz8cz5evcmgah1d1qcb"
Example:
"https://hooks.example.com/events/"
Minimum array length:
1Available options:
sink.verified Example:
["sink.verified"]
Example:
null
Available options:
enabled, disabled Example:
"enabled"
Example:
"2025-10-10T21:03:58Z"
Example:
"2025-10-10T21:03:58Z"
Symmetric signing secret for HMAC signature verification. Only returned once upon webhook creation.
Pattern:
^whsec_[A-Za-z0-9+/=]+$Example:
"whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
Was this page helpful?